<body>
<div [formGroup]="loginForm" >
    <div class="col-md-6 col-md-offset-3">
        <h2>Bievenue à<b> ApiWatch</b> !</h2>
        <h5>Veuillez insérer vos identifiant </h5>
        <form name="form"  #f="ngForm" novalidate>
            <div class="form-group" >
                <label for="username" >Nom d'utilisateur :</label>
                <input type="text" class="form-control"[(ngModel)]="username" name="username"  placeholder="Nom d'utilisateur"required />
            <!--  <div *ngIf="f.submitted && !username.valid" class="help-block">Username is required</div>-->
            </div>
            <div class="form-group">
                <label for="password">Mot de passe : </label>
                <input type="password" class="form-control" [(ngModel)]="password" name="password"  placeholder="Mot de passe" required />
                <!-- <div *ngIf="f.submitted && !password.valid" class="help-block">Password is required</div>-->
            </div>
            <div *ngIf="loginErrorMsg" class="loginErrorMsg">
                   <b>Mot de passe incorrect</b> 
            </div>
            <div class="form-group">
                <button  class="btn btn-primary" (click)="login(username,password)" >Se connecter</button>
                <!-- <button [disabled]="loading" class="btn btn-primary" (click)="goToDashboard()">Hola</button>
                <button [disabled]="loading" class="btn btn-primary" (click)="test()">form</button>
                <img *ngIf="loading" />
                    <a [routerLink]="['/register']" class="btn btn-link">Register</a>-->
             
            </div>
        </form>
    </div>    
</div>
</body>


<!---
<p>Form value {{ loginForm.value | json }} </p>
<p> Form status {{ loginForm.status | json}} </p>
-->